@import '../node_modules/bootstrap/scss/bootstrap.scss';

$theme-colors: ("primary": #CACFF9,
  "bg-light": #CACFF9
);

.btn-primary
{
	color: #1D1C1A;
    background-color: #CACFF9;
    border-color: #CACFF9;
    &:hover {
        color: #1D1C1A;
    	background-color: #A7C7E7;
    	border-color: #A7C7E7;
    }
}

.btn-danger
{
	color: #1D1C1A;
    background-color: #F5CBD9;
    border-color: #F5CBD9;
    &:hover {
        color: #1D1C1A;
    	background-color: #FAA0A0;
    	border-color: #FAA0A0;
    }
}

.btn-warning
{
	color: #1D1C1A;
    background-color: #FFFAA0;
    border-color: #FFFAA0;
    &:hover {
        color: #1D1C1A;
    	background-color: #FAC898;
    	border-color: #FAC898;
    }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@font-face 
{
  font-display: swap; 
  font-family: 'Autour One';
  font-style: normal;
  font-weight: 400;
  src: url('./fonts/autour-one-v24-latin/autour-one-v24-latin-regular.woff2') format('woff2'), 
       url('./fonts/autour-one-v24-latin/autour-one-v24-latin-regular.woff') format('woff'); 
}

* {
  font-family: 'Autour One', sans-serif;
}

body 
{
  padding-top: 100px;
  padding-bottom: 100px;
$gradient-100: #A7C7E7;
$gradient-200: #f5cbd9;
$gradient-300: #f5cbd9;

background: linear-gradient(90deg, #CACFF9, #F5CBD9, #F5CBD9)
}
.bg-light
{
  background-color: #eeeffd !important;
}

.bg-white
{
  background-color: #fffeea !important;
}

.bg-warning
{
  background-color: #FFFAA0 !important;
}

.bg-dark
{
  background-color: #1D1C1A !important;
}

.nav-link.active .svg-inline--fa,
.nav-link.active span {
  color: #A7C7E7;
}

.navbar 
{
  width: 100%;
}

.dashboardCard
{
  font-size: calc(16px + (24 - 16) * ((100vw - 320px) / (1920 - 320)));
  color: inherit;
  text-decoration: none; 
  font-weight: bold;
 }